TransactionVerificationException.TransactionContractConflictException
Keywords: net.corda.core.contracts.TransactionVerificationException.TransactionContractConflictException class
Date: 2023-09-18

net.corda.core.contracts

## Class TransactionVerificationException.TransactionContractConflictException

- Enclosing class:
    TransactionVerificationException

      public static class TransactionVerificationException.TransactionContractConflictException

  If a state is identified as belonging to a contract, either because the state class is defined as an inner class of the contract class or because the state class is annotated with `annotationclass BelongsToContract`, then it must not be bundled in a `class TransactionState` with a different contract.

  See Also:
    `annotationclass BelongsToContract`, `class TransactionState`

- - ### Constructor Detail

    - #### TransactionContractConflictException

          public TransactionContractConflictException(@NotNull
                                                      SecureHash txId,
                                                      @NotNull
                                                      java.lang.String message)

      If a state is identified as belonging to a contract, either because the state class is defined as an inner class of the contract class or because the state class is annotated with `annotationclass BelongsToContract`, then it must not be bundled in a `class TransactionState` with a different contract.

      See Also:
        `annotationclass BelongsToContract`, `class TransactionState`

    - #### TransactionContractConflictException

          public TransactionContractConflictException(@NotNull
                                                      SecureHash txId,
                                                      @NotNull
                                                      TransactionState<? extends net.corda.core.contracts.ContractState> state,
                                                      @NotNull
                                                      java.lang.String requiredContractClassName)